summaryrefslogtreecommitdiff
path: root/mount.sh
diff options
context:
space:
mode:
authorjonas <jonas@8f53b18a-e215-0410-8885-9f593d34873e>2006-06-10 18:18:37 +0000
committerjonas <jonas@8f53b18a-e215-0410-8885-9f593d34873e>2006-06-10 18:18:37 +0000
commitb6d85b04286d30498a11aaac36e75032b1e72801 (patch)
tree2fc597a2ae2cf69a5cc6b3e7162f02f89613b08d /mount.sh
parent369cb1e5a343ec9e7c6f05de64f0eb102488d77f (diff)
Added all work so far...
git-svn-id: svn+ssh://xayide/home/jonas/private_svn/fleshybrid/trunk@2 8f53b18a-e215-0410-8885-9f593d34873e
Diffstat (limited to 'mount.sh')
-rwxr-xr-xmount.sh41
1 files changed, 41 insertions, 0 deletions
diff --git a/mount.sh b/mount.sh
new file mode 100755
index 0000000..599027a
--- /dev/null
+++ b/mount.sh
@@ -0,0 +1,41 @@
+#!/bin/sh
+
+set -e
+
+. ./config-DEFAULTS || exit 1
+. ./config-HOST || exit 1
+. ./config-TARGET || exit 1
+. ./config-MANDATED || exit 1
+
+if [ "$1" = "temp" ]; then
+ target="$targettemp"
+else
+ target="$mountpoint"
+ [ -n "$rootdev_host" ] && mount "$rootdev_host" "$target"
+# [ -n "$bootdev_host" ] && mount "$bootdev_host" "$target/boot"
+fi
+
+#mount proc-flashybrid "$target/proc" -t proc
+#mount pts-flashybrid "$target/dev/pts" -t pts
+#mount shm-flashybrid "$target/dev/shm" -t shm
+#mount usbfs-flashybrid "$target/proc/bus/usb" -t usbfs
+#if [ -d /dev/.udevdb ] || [ -f /dev/.devfsd ]; then
+# mount --bind /dev "$target/dev"
+#fi
+if [ -d /sys ]; then
+ mount --bind /sys "$target/sys"
+fi
+[ -n "$pubdev_host" ] && mount -t "$pubfs" "$pubdev_host" "$target/pub"
+if [ "$FLASHYBRID" = "yes" ]; then
+ if [ -d "$targetoffline" ]; then
+ for dir in $flashybrid_diskstore; do
+ if [ -d "$targetoffline$dir" ] && [ -d "$target$dir" ]; then
+ mount --bind "$targetoffline$dir" "$target$dir"
+ else
+ echo "WARNING: diskstore dir \"$dir\" missing - ignoring." >&2
+ fi
+ done
+ else
+ echo "WARNING: offline target $targetoffline does not exist." >&2
+ fi
+fi